JUCE: juce::midi_ci::SubscriptionManagerDelegate Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::SubscriptionManagerDelegate Struct Referenceabstract
juce_midi_ci » ci

Functions used by a SubscriptionManager to negotiate subscriptions. More...

`#include <juce_CISubscriptionManager.h>`

## Public Member Functions
virtual | ~SubscriptionManagerDelegate ()=default
virtual std::optional< RequestKey > | sendPropertySubscribe (MUID m, const PropertySubscriptionHeader &header, std::function< void(const PropertyExchangeResult &)> onResult)=0
| Called when the manager wants to send an update.
virtual void | abortPropertyRequest (RequestKey)=0
| Called by the manager to cancel a previous request.
virtual void | propertySubscriptionChanged (SubscriptionKey, const std::optional< String > &)=0
| Called by the manager when the remote device provides a subscribeId, or when it terminates a subscription.

## Detailed Description

Functions used by a SubscriptionManager to negotiate subscriptions.

## Constructor & Destructor Documentation

## ◆ ~SubscriptionManagerDelegate()

virtual juce::midi_ci::SubscriptionManagerDelegate::~SubscriptionManagerDelegate | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ sendPropertySubscribe()

virtual std::optional< RequestKey > juce::midi_ci::SubscriptionManagerDelegate::sendPropertySubscribe | ( | MUID | m,
|  | const PropertySubscriptionHeader & | header,
|  | std::function< void(const PropertyExchangeResult &)> | onResult )
| pure virtual

Called when the manager wants to send an update.

## ◆ abortPropertyRequest()

virtual void juce::midi_ci::SubscriptionManagerDelegate::abortPropertyRequest | ( | RequestKey |  | ) |
| pure virtual

Called by the manager to cancel a previous request.

## ◆ propertySubscriptionChanged()

virtual void juce::midi_ci::SubscriptionManagerDelegate::propertySubscriptionChanged | ( | SubscriptionKey | ,
|  | const std::optional< String > & | )
| pure virtual

Called by the manager when the remote device provides a subscribeId, or when it terminates a subscription.

The documentation for this struct was generated from the following file:

- juce_CISubscriptionManager.h